This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 910874 - (CVE-2013-0231) CVE-2013-0231 kernel: xen: pciback DoS via not rate limited log messages
CVE-2013-0231 kernel: xen: pciback DoS via not rate limited log messages
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130205,repor...
: Security
Depends On: 910876 910877 910878
Blocks: 910879
  Show dependency treegraph
 
Reported: 2013-02-13 13:59 EST by Petr Matousek
Modified: 2015-02-16 10:46 EST (History)
21 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-16 15:26:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Petr Matousek 2013-02-13 13:59:06 EST
Xen's PCI backend drivers in Linux allow a guest with assigned PCI device(s) to cause a DoS through a flood of kernel messages, potentially affecting other
domains in the system.

A malicious guest with passed through PCI devices can mount a DoS affecting the entire system.

Acknowledgements:

Red Hat would like to thank the Xen project for reporting this issue.
Comment 2 Petr Matousek 2013-02-13 14:01:00 EST
Created kernel tracking bugs for this issue

Affects: fedora-all [bug 910878]
Comment 4 Petr Matousek 2013-02-13 14:03:04 EST
Statement:

This issue did affect the versions of the kernel-xen package as shipped with Red Hat Enterprise Linux 5.

This issue did not affect Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG 2.
Comment 7 errata-xmlrpc 2013-04-16 15:04:18 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:0747 https://rhn.redhat.com/errata/RHSA-2013-0747.html

Note You need to log in before you can comment on or make changes to this bug.